/*
    SDL - Simple DirectMedia Layer
    Copyright (C) 1997-2006 Sam Lantinga

    This library is free software; you can redistribute it and/or
    modify it under the terms of the GNU Lesser General Public
    License as published by the Free Software Foundation; either
    version 2.1 of the License, or (at your option) any later version.

    This library is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
    Lesser General Public License for more details.

    You should have received a copy of the GNU Lesser General Public
    License along with this library; if not, write to the Free Software
    Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA

    Sam Lantinga
    slouken@libsdl.org
*/
#include "SDL_config.h"

/* Being a xterm driver. */

#include "SDL.h"
#include "../../events/SDL_sysevents.h"
#include "../../events/SDL_events_c.h"

#include "SDL_xtermvideo.h"
#include "SDL_xtermevents_c.h"

#include <ncurses.h>

void XTERM_PumpEvents(_THIS)
{
    int c;
    Uint8* keyst = SDL_GetKeyState(NULL);
    memset(keyst, 0, SDLK_LAST);
    while ((c = wgetch(this->hidden->win)) != ERR) {
        if (c < SDLK_LAST && c >= 0) {
            switch (c) {
            case KEY_UP: keyst[SDLK_UP] = 1; break;
            case KEY_DOWN: keyst[SDLK_DOWN] = 1; break;
            case KEY_RIGHT: keyst[SDLK_RIGHT] = 1; break;
            case KEY_LEFT: keyst[SDLK_LEFT] = 1; break;
            default:
                keyst[c] = 1;
            }
        }
    }
}

void XTERM_InitOSKeymap(_THIS)
{
	/* do nothing. */
}

/* end of SDL_xtermevents.c ... */

